The main contents of the application are in the www folder, it is created this way to allow for platform wrappers at a higher level.

The following pre-requisities are needed

    npm -g install gulp [or] yarn global add gulp

Once the above are installed you can install the npm packages for the app with

    npm install [or] yarn install

The following gulp commands are then available for the app.

* build
* unit
* e2e-install
* e2e
* serve
* theme-build

### build
This will transpile and build the app.

You can specify a buildConfiguration with the following syntax:

    gulp build --buildConfiguration=prod

### unit
This will run unit tests for the app and generate unit and coverage reports in the reports folder.

### e2e-install
This will install all the necessary components required for the e2e tests, it need only be run once.

### e2e
This will run e2e tests for the app and generate reports in the reports folder.

### serve
This will serve the app for you to view in a browser.

### theme-build
You will probably need to run this task at least once to generate the necessary favicon images and meta tags.

## Theme Assets

During the app generation 3 files will have been created, if you change any of them then you should run the task again.

* assetsSource/theme/logo-tile.svg
* assetsSource/theme/logo-transparent.svg
* assetsSource/theme/unite-theme.json

The logo-tile.svg image should have a design that works well on a tile, e.g. a white icon with transparent background (the background color can be specified as part of the unite-theme.json configuration).

The logo-transparent.svg image should be a normal colored icon also on a transparent background, mostly used for the .ico image.

The fields in the unite-theme.json should be self explanatory in terms of what they generate in the index.html page. The themeHeaders will get overwritten when you run theme-build again so any custom headers you want should go in the customHeaders property. The backgroundColor is used for tile backgrounds and the themeColor is used to color the safari pinned icon mask.

    {
        "metaDescription": "Test CSS",
        "metaKeywords": [
            "Test",
            "CSS"
        ],
        "metaAuthor": "Unite JS",
        "customHeaders": [
            "<meta property=\"twitter:site\" content=\"@unitejs\">"
        ],
        "themeHeaders": [
            ... Generated by theme-build task
        ],
        "backgroundColor": "#339933",
        "themeColor": "#339933"
    }
