/**
 * Gulp tasks for post building css.
 */
const display = require("./util/display");
const gulp = require("gulp");
const path = require("path");
const rename = require("gulp-rename");
const uc = require("./util/unite-config");
const asyncUtil = require("./util/async-util");
const cssnano = require("gulp-cssnano");
const gutil = require("gulp-util");

gulp.task("build-css-post-app", async () => {
    display.info("Running", "CSS None for App");

    const uniteConfig = await uc.getUniteConfig();
    const buildConfiguration = uc.getBuildConfiguration(uniteConfig);

    await asyncUtil.stream(gulp.src(path.join(uniteConfig.directories.cssDist, "main.css"))
        .pipe(rename("style.css"))
        .pipe(buildConfiguration.minify ? cssnano() : gutil.noop())
        .pipe(gulp.dest(uniteConfig.directories.cssDist)));

    if (buildConfiguration.minify) {
        await asyncUtil.stream(gulp.src(path.join(uniteConfig.directories.cssDist, "**/!(style).css"))
            .pipe(cssnano())
            .pipe(gulp.dest(uniteConfig.directories.cssDist)));
    }
});

/* Generated by UniteJS */
