/**
 * Gulp tasks for building css.
 */
const display = require("./util/display");
const gulp = require("gulp");
const sourcemaps = require("gulp-sourcemaps");
const path = require("path");
const less = require("gulp-less");
const uc = require("./util/unite-config");
const gutil = require("gulp-util");
const asyncUtil = require("./util/async-util");

gulp.task("build-css-components", async () => {
    display.info("Running", "LESS for Components");

    const uniteConfig = await uc.getUniteConfig();
    const buildConfiguration = uc.getBuildConfiguration(uniteConfig);

    return asyncUtil.stream(gulp.src(path.join(uniteConfig.directories.src, "**/*.less"))
        .pipe(buildConfiguration.sourcemaps ? sourcemaps.init() : gutil.noop())
        .pipe(less())
        .on("error", (err) => {
            display.error(err.message);
            process.exit(1);
        })
        .pipe(buildConfiguration.sourcemaps ? sourcemaps.write() : gutil.noop())
        .pipe(gulp.dest(uniteConfig.directories.dist)));
});

/* Generated by UniteJS */
