/**
 * Gulp tasks for protractor e2e testing.
 */
const display = require("./util/display");
const exec = require("./util/exec");
const gulp = require("gulp");
const util = require("util");
const browserSync = require("browser-sync");

let browserSyncInstance = null;

gulp.task("e2e-run-test", async () => {
    display.info("Running", "Protractor");

    try {
        await exec.npmRun("protractor", ["protractor.conf.js"]);
        browserSyncInstance.exit();
    } catch (err) {
        display.error("Executing protractor", err);
        browserSyncInstance.exit();
        process.exit(1);
    }
});

gulp.task("e2e-serve", () => {
    display.info("Running", "BrowserSync");

    browserSyncInstance = browserSync.create();

    const initAsync = util.promisify(browserSyncInstance.init);
    return initAsync({
        "https": false,
        "notify": false,
        "online": true,
        "open": false,
        "port": 9000,
        "server": {"baseDir": ["."]}
    });
});

/* Generated by UniteJS */
