/**
 * Gulp tasks for karma unit testing.
 */
const display = require("./util/display");
const gulp = require("gulp");
const karma = require("karma");

gulp.task("unit-run-test", () => {
    display.info("Running", "Karma");

    const server = new karma.Server({
        "configFile": "../../../karma.conf.js"
    }, (exitCode) => {
        if (exitCode !== 0) {
            display.error(`Karma exited with code ${exitCode}`);
            process.exit(exitCode);
        }
    });

    server.start();
});

gulp.task("unit-run-test-ui", () => {
    display.info("Running", "Karma");

    const server = new karma.Server({
        "browsers": ["Chrome"],
        "configFile": "../../../karma.conf.js",
        "singleRun": false
    }, (exitCode) => {
        if (exitCode !== 0) {
            display.error(`Karma exited with code ${exitCode}`);
            process.exit(exitCode);
        }
    });

    server.start();
});

/* Generated by UniteJS */
