/**
 * Gulp utils for display.
 */
const gutil = require("gulp-util");

function log (text) {
    gutil.log(text);
}

function info (caption, text) {
    if (text) {
        gutil.log(`[${gutil.colors.cyan(caption)}]`, text);
    } else {
        gutil.log(`[${gutil.colors.cyan(caption)}]`);
    }
}

function error (text, err) {
    gutil.log(gutil.colors.red(`[ERROR] ${text}`));
    if (err) {
        gutil.log(gutil.colors.red(`${err}`));
    }
}

function warning (text) {
    gutil.log(gutil.colors.yellow(`[WARNING] ${text}`));
}

function success (text) {
    gutil.log(gutil.colors.green(text));
}

module.exports = {
    error,
    info,
    log,
    success,
    warning
};

/* Generated by UniteJS */
